[P031]Customs record

get
https://connect.patsnap.com/advanced-patent-data/customs-data
Try in Sandbox

Receive customs data by patent_id or patent_number. This includes record number, record status, start date, end date, approval/opinion, product, and contact.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
string9ffcdcd7-e6f1-4e22-9c93-e3c3eafe0cad
patent_id
patent_number
stringJP4627367B2
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patent_customs_record_data
arrayPlease check the form: PatentCustomsRecordData
customs data
contact
string原田雅章知財事務所
Contact
country
stringJP
Authority code
product
string電荷制御剤
product
end_date
integer<int64>20201119
Record end date
start_date
integer<int64>20150902
Record start date
record_number
stringP4627367-20150902-20201119
Record number
record_status
string生效
Record status
approval_opinion
string已审批、核准
Approval opinion
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patent_customs_record_data": [
        {
          "contact": "原田雅章知財事務所",
          "country": "JP",
          "product": "電荷制御剤",
          "end_date": 20201119,
          "start_date": 20150902,
          "record_number": "P4627367-20150902-20201119",
          "record_status": "生效",
          "approval_opinion": "已审批、核准"
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found